Package org.apache.sling.scripting.sightly.impl.html.dom.template

## Class TemplateAttribute

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.html.dom.template.TemplateAttribute

    public class TemplateAttribute
    extends Object

### Constructor Summary

Constructors
`TemplateAttribute​(String name, String value, char quoteChar)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`char` `getQuoteChar()`
`String` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TemplateAttribute

    public TemplateAttribute​(String name,
                             String value,
                             char quoteChar)

### Method Detail

#### getName

    public String getName()

#### getValue

    public String getValue()

#### getQuoteChar

    public char getQuoteChar()